### Enumeration

# Cogl TextureError

#### Declaration

    enum Cogl.TextureError

#### Description [src]

Error codes that can be thrown when allocating textures.

#### Members

`COGL_TEXTURE_ERROR_SIZE`

  Unsupported size.

  - Value: `0`
  - Available since: 16
`COGL_TEXTURE_ERROR_FORMAT`

  Unsupported format.

  - Value: `1`
  - Available since: 16
`COGL_TEXTURE_ERROR_BAD_PARAMETER`

  No description available.

  - Value: `2`
  - Available since: 16
`COGL_TEXTURE_ERROR_TYPE`

  A primitive texture type that is unsupported by the driver was used.

  - Value: `3`
  - Available since: 16